Bug 93827 - build fails on editors/openoffice.org-2.0 (src: de-openoffice.org-2.0.2.rc2)
Summary: build fails on editors/openoffice.org-2.0 (src: de-openoffice.org-2.0.2.rc2)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-openoffice (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-02-25 10:30 UTC by Heino Tiedemann
Modified: 2006-05-28 11:07 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Heino Tiedemann 2006-02-25 10:30:05 UTC

cd /usr/ports/editors/openoffice.org-2.0
make -DWITHOUT_MOZILLA -DWITHOUT_JAVA -DWITH_CUPS -DWITH_KDE LOCALIZED_LANG=de


causes that output:
[...]
patching file hsqldb/src/org/hsqldb/persist/ScriptRunner.java
patching file hsqldb/src/org/hsqldb/resources/sql-error-messages.properties
patching file hsqldb/src/org/hsqldb/resources/sql-error-messages_it.properties
patching file hsqldb/src/org/hsqldb/rowio/RowInputTextQuoted.java
patching file hsqldb/src/org/hsqldb/scriptio/ScriptWriterBase.java
/usr/bin/perl /usr/ports/editors/openoffice.org-2.0/work/OOB680_m2/solenv/bin/leconvert.pl dos  ./unxfbsd.pro/misc/build/hsqldb/build/build.xml ./unxfbsd.pro/misc/build/hsqldb/doc/changelist_1_8_0.txt ./unxfbsd.pro/misc/build/hsqldb/src/org/hsqldb/resources/sql-error-messages_it.properties && touch ./unxfbsd.pro/misc/convert_dos_flag
touch ./unxfbsd.pro/misc/build/so_configured_so_hsqldb
mkdir ./unxfbsd.pro/misc/build/hsqldb/
mkdir: ./unxfbsd.pro/misc/build/hsqldb/: File exists
cd ./unxfbsd.pro/misc/build/hsqldb/ && /usr/ports/editors/openoffice.org-2.0/work/OOB680_m2/external/common/apache-ant-1.6.1/bin/ant -Dbuild.label="build-680m2(Build:9007)" -f build/build.xml jar  && touch so_built_so_hsqldb
/usr/ports/editors/openoffice.org-2.0/work/OOB680_m2/external/common/apache-ant-1.6.1/bin/ant: Command not found.
dmake:  Error code 1, while making './unxfbsd.pro/misc/build/so_built_so_hsqldb'
'---* tg_merge.mk *---'

ERROR: Error 65280 occurred while making /usr/ports/editors/openoffice.org-2.0/work/OOB680_m2/hsqldb
dmake:  Error code 1, while making 'build_instsetoo_native'
'---* *---'
*** Error code 255

Stop in /usr/ports/editors/openoffice.org-2.0.



my /etc/make.conf:
WITH_OPENSSL_BASE=yes
WITH_FAM_SYSTEM=fam
# added by use.perl 2006-02-21 20:13:36
PERL_VER=5.8.8
PERL_VERSION=5.8.8



see also <http://lists.freebsd.org/pipermail/freebsd-ports-bugs/2006-February/080775.html>, it is the same problem, but with older OOo sourcecode version: de-openoffice.org-2.0.2.rc1 and another perl version installed here.

Fix: 

no idea
How-To-Repeat: 	see above
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2006-03-02 00:52:39 UTC
Responsible Changed
From-To: freebsd-ports-bugs->openoffice

Over to maintainer(s).
Comment 2 Maho Nakata freebsd_committer 2006-05-28 11:06:19 UTC
State Changed
From-To: open->closed

WITHOUT_JAVA is problematic, so I omitted this knob. 
Thanks for your report.